require "AnAL.lua"

function love.load()
	spr_robot = love.graphics.newImage("sprites/robot.png")
	spr_robot_gun = love.graphics.newImage("sprites/gun.png")
	
	anim_robot = newAnimation(spr_robot,32,66,.1,0)
	x = 64
	speed = 64
	q = 0
	
	anim_robot_state = "stopped"
	direction = "right"
end

function love.update(dt)
	anim_robot:update(dt)
	
	if anim_robot_state == "stopped" then
		anim_robot:stop()
		anim_robot:reset()
	end
	
	if anim_robot_state == "right" then
		anim_robot:play()
	end
	
	if anim_robot_state == "left" then
		anim_robot:play()
	end
	
	xmouse = love.mouse.getX()
	ymouse = love.mouse.getY()
	
	dx = (x+2+4) - xmouse
	dy = 82+4 - ymouse
	
	angle = math.atan2(dx,-dy)
	
	if angle < 0 then
		direction = "right"
	end
	
	if angle > 0 then
		direction = "left"
	end
	
	if love.keyboard.isDown("d") then
		anim_robot_state = "right"
		x = x+speed*dt
	end
	
	if love.keyboard.isDown("d") and direction == "left" then
		anim_robot_state = "left"
	end
   
   if love.keyboard.isDown("a") then
		anim_robot_state = "left"
		x = x-speed*dt
   end
   
   if love.keyboard.isDown("a") and direction == "right" then
		anim_robot_state = "right"
	end
	
	function love.keyreleased(key)
		if key == "d" then
			anim_robot_state = "stopped"
		end
	
		if key == "a" then
			anim_robot_state = "stopped"
		end
	end
end

function love.draw()
	if direction == "right" then
		love.graphics.draw(spr_robot_gun,x+24,86,angle,1,1,4,4)
		anim_robot:draw(x,64)
		love.graphics.draw(spr_robot_gun,x+8,86,angle,1,1,4,4)
	end
	
	if direction == "left" then
		love.graphics.draw(spr_robot_gun,x+8,86,angle,-1,1,4,4)
		anim_robot:draw(x,64,0,-1,1,32,0)
		love.graphics.draw(spr_robot_gun,x+24,86,angle,-1,1,4,4)
	end
	
	love.graphics.print(angle,32,32)
	love.graphics.print(anim_robot_state,32,48)
	love.graphics.print(direction,32,62)
end